pro b_freefree
  restore,dialog_pickfile(filter='*.sav',title='Please select a map cube file.')
  r = float(tb2)
  l = imaginary(tb2)
  p = (r-l)/(r+l)
  tb = (r+l)/2.
  ltb = alog(tb)
  sltb = (ltb-shift(ltb,0,0,1))
  lf = alog(fghz)
  nx = n_elements(x)
  ny = n_elements(y)
  n = r*0
  for i = 0, ny-1 do for j = 0, nx-1 do $
     n[j,i,*] = -(sltb[j,i,*])/(lf - shift(lf,1))

  b_l = r*0
  for i = 0, ny-1 do for j = 0, nx-1 do $
     b_l[j,i,*] = p[j,i,*]*fghz*1.e9/(n[j,i,*]*2.8e6)

  restore,'/home/fasr/fasr_model/leejw/mdl.sav'
  tvscl,b_l[*,*,98]>(-300)<300
  tvscl,model.bz[*,*,77]>(-300)<300,210,0

end