PRO get_hdf,file,data,x,y,z

; 10/3/96 modified to skip transpose and read it as it is--J. Lee
; Arguments:
;	file	name of HDF file					IN
;	data	variable to return 3D array				OUT
;	x	variable to return (nonuniform) x-axis (1D array)	OUT
;	y	variable to return (nonuniform) y-axis (1D array)	OUT
;	z	variable to return (nonuniform) z-axis (1D array)	OUT
;
; ANM 930415
; Modified to read 2-D I_cont info too. ANM 940222
;-

dfsd_getinfo,file,DIMS=dims
CASE N_ELEMENTS(dims) OF
3: BEGIN
  dfsd_dimget,0,SCALE=x
  dfsd_dimget,1,SCALE=y
  dfsd_dimget,2,SCALE=z
  dfsd_getdata,file,data
;  data = fltarr(dims(0),dims(1),dims(2))
;  FOR i=0,dims(0)-1 DO data(*,*,i) = TRANSPOSE(REFORM(tdata(i,*,*)))
END
2: BEGIN
  dfsd_dimget,0,SCALE=x
  dfsd_dimget,1,SCALE=y
  dfsd_getdata,file,data
;  data = TRANSPOSE(tdata)
END
ELSE: MESSAGE,'dont know what to do with DIMS='+STRING(dims)
ENDCASE

END


