; A program which reads in the aips maps,scales them makes a contour
; and saves the contour information

pro aips_make_contour,tmin

freq = [1.00,1.17,1.37,1.60,1.87,2.19,2.57,3.01,3.53,4.13,4.83,5.66,6.63,7.76,9.09,10.6,12.4,14.5,17.0,20.0]

pxya=replicate(ptr_new(0),40)

for i=0,39,2 do begin
  if freq[i/2] le 10.0 then begin
  char=string(freq[i/2],format='(f4.2)')
  endif else begin
  char=string(freq[i/2],format='(f4.1)')
  endelse

  aips=readfits('FITS/X'+char+'.FTS',h)
  pxlsiz = abs(sxpar(h,'CDELT1')*3600.)
  aips=aips *1.22e6/(freq[i/2])^2/pxlsiz^2
  contour, aips,levels=[tmin],path_xy=xy,/path_data_coords
  pxya[i] = ptr_new(xy)

  a=0
  a=i+1

  if freq[a/2] le 10.0 then begin
     chara=string(freq[a/2],format='(f4.2)')
  endif else begin
     chara=string(freq[a/2],format='(f4.1)')
  endelse

  aips=readfits('FITS/O'+chara+'.FTS')
  aips=aips *1.22e6/(freq[a/2])^2/pxlsiz^2
  contour, aips,levels=[tmin],path_xy=xy,/path_data_coords
  pxya[a] = ptr_new(xy)


endfor
save,file='acontour.sav',pxya

return
end
