; This program reads in contours from the saved file and reads in the
; model and contours the models and overlays the contours from the
; saved file


pro aips_over_contour_info,i

   freq = [1.00,1.17,1.37,1.60,1.87,2.19,2.57,3.01,3.53,4.13,4.83,$
           5.66,6.63,7.76,9.09,10.6,12.4,14.5,17.0,20.0]

   nf = n_elements(freq)

 restore,'acontour.sav'
 
 restore,'mdl.sav'
; b=sqrt(model.bx^2+model.by^2+model.bz^2)
 clevs = freq/2.8e-3/3.
 contour,model.bt[*,*,i],levels=clevs,$
     (model.x-model.x[0])*5*2.63/4,(model.y-model.y[0])*5*2.63/4,$
     /fill,xran=[0,300],yran=[0,300],c_annotation = string(clevs, format ='(f5.0)')
 
 for k=0,39,2 do begin
   str = string(clevs[k/2],format='(f5.0)')
   x=0 & y=0
   x=((*pxya[k])[0,*])*2. - 218  
   y=((*pxya[k])[1,*])*2. - 218
   info =*pinfo[k]
   for j=0,n_elements(info)-1 do begin  
     js =info[j].offset
     je =info[j].offset + info[j].n -1
     oplot,x[js:je],y[js:je]
     xyouts,x[js],y[js],str

   endfor
 endfor
   wshow
return
end
