; A program that reads in the aips maps,scales them makes a contour
; and saves the contour information

pro make_con_rl,tmin

  restore,dialog_pickfile(filter='aips*.sav',title='Enter AIPS datacube.')
  tb = float(tb2)>imaginary(tb2)
  tbx = x
  tby = y
  nf = n_elements(fghz)

  pxya=replicate(ptr_new(),nf)
  pinfo=replicate(ptr_new(),nf)

  for i=0,nf-1 do begin
    contour, tb[*,*,i],tbx,tby,levels=[tmin],path_xy=xy,path_info=info,/path_data_coords
    pxya[i] = ptr_new(xy)
    pinfo[i] = ptr_new(info)
  endfor

  save,file='acontour.sav',pxya,pinfo

  restore,dialog_pickfile(filter='mw*.sav',title='Enter model datacube.')
  tb = float(tb2)>imaginary(tb2)
  tbx = x
  tby = y

  ; Make contours for model
  for i=0,nf-1 do begin
    contour, tb[*,*,i],tbx,tby,levels=[tmin],path_xy=xy,path_info=info,/path_data_coords
    pxya[i] = ptr_new(xy)
    pinfo[i] = ptr_new(info)
  endfor

  save,file='mcontour.sav',pxya,pinfo

return
end
