pro model_movie

   restore,'mdl.sav'
   nz = n_elements(model.z)
   set_plot,'z'
   device,set_res=[120*6,89*6]
   !p.charthick=2
   !p.charsize=2
   for i = 0, nz-1 do begin
      tvscl,congrid(reform((model.te[*,*,i])),120*3,89*3),0
      tvscl,congrid(reform((model.dn[*,*,i])),120*3,89*3),1
      xyouts,/dev,120*5.9,89*5.5,string(model.z[i],format='(f6.0," km")'),align=1.0
      tvscl,congrid(reform((model.bz[*,*,i])),120*3,89*3),2
      tvscl,congrid(reform((model.bt[*,*,i])),120*3,89*3),3
      xyouts,/dev,120*1.5,89*3.2,'Temperature',align=0.5
      xyouts,/dev,120*4.5,89*3.2,'Density',align=0.5
      xyouts,/dev,120*1.5,89*0.2,'B!dl!n',align=0.5
      xyouts,/dev,120*4.5,89*0.2,'B!dtot!n',align=0.5
      fname = 'movie_'+string(i+1,format='(i3.3)')+'.tif'
      im = reverse(tvrd(),2)
      write_tiff,fname,im,bits=8
   endfor
   set_plot,'win'
   !p.charthick=1
return
end