restore,'TBmaps.sav'

;saved are: TB0,TB1,TB2,fGHz,infiles
; TB=[x,y,fre]-> real=x-mode, imagin=o-mode

set_plot,'ps'
device,filename='plotmaps.ps',landscape=0
device,xoff=1.7,yoff=2,xs=19,ys=25 ; ,/color,bits_per_pixel=8
!p.font=0
!p.multi=[0,4,6]

xs=4200 & xs1=4500
ys=3500 & ys1=3800

xpos=[0,1,2,3]*xs1
ypos=[5,4,3,2,1,0]*ys1

for q=0,2 do begin

if q eq 0 then TB=TB0
if q eq 1 then TB=TB1
if q eq 2 then TB=TB2

y0=ypos[q] ; Total I
for k=0,3 do begin
x0=xpos[k] 
i=float(TB[*,*,k])+imaginary(TB[*,*,k])
 contour,i,nlev=8,xst=1,yst=1, $
	pos=[x0,y0,x0+xs,y0+ys],/dev
endfor

y0=ypos[q+3] ; V=X-O
for k=0,3 do begin
 x0=xpos[k]
 i=float(TB[*,*,k])-imaginary(TB[*,*,k])
 contour,i,nlev=8,xst=1,yst=1, $
	pos=[x0,y0,x0+xs,y0+ys],/dev
endfor

endfor

xyouts,xpos[0],ypos[0]+ys+300,'2.0 GHz',/dev
xyouts,xpos[1],ypos[0]+ys+300,'4.0 GHz',/dev
xyouts,xpos[2],ypos[0]+ys+300,'8.0 GHz',/dev
xyouts,xpos[3],ypos[0]+ys+300,'16. GHz',/dev

xyouts,xpos[3]+xs+100,ypos[0]+ys1/2,'I (ff)',/dev
xyouts,xpos[3]+xs+100,ypos[1]+ys1/2,'I (gr)',/dev
xyouts,xpos[3]+xs+100,ypos[2]+ys1/2,'I (gf)',/dev
xyouts,xpos[3]+xs+100,ypos[3]+ys1/2,'V (ff)',/dev
xyouts,xpos[3]+xs+100,ypos[4]+ys1/2,'V (gr)',/dev
xyouts,xpos[3]+xs+100,ypos[5]+ys1/2,'V (gf)',/dev


device,/close
set_plot,'x'

end
